
package de.ivu.elect.business.datei.boundary;

import javax.inject.Inject;

import de.ivu.elect.business.datei.entity.Datei;
import de.ivu.elect.business.datei.entity.DateiExport;

@javax.ejb.Stateless
public class DateiExportEdit extends AbstractDateiExportEdit {

  @Inject
  private transient DateiDAO dateiDAO;

  @Override
  public void delete(DateiExport entity) {
    DateiExport attachedEntity = getAttachedEntity(entity);
    Datei datei = attachedEntity.getDatei();
    super.delete(entity);
    dateiDAO.remove(datei);
  }
}
